Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Your Merchant API key. Create one in Dashboard → Developers → API keys.

Path Parameters

storeId
string
required

Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.

couponId
string
required

Coupon id. Accepts the internal id or the public id (for example PRD-…).

Body

application/json
code
string
Required string length: 1 - 50
discountType
enum<string>
Available options:
percentage,
fixed
discountValue
number
Required range: 0 <= x <= 1000000
minPurchase
number | null
Required range: 0 <= x <= 1000000
maxDiscount
number | null
Required range: 0 <= x <= 1000000
usageLimit
integer | null
Required range: 0 < x <= 1000000
validFrom
any
validUntil
any
isActive
boolean

Response

The updated coupon.

The response is of type object.